## phpmyadmin 4.0.10

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/phpMyAdmin.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/phpMyAdmin.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/phpMyAdmin"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/phpMyAdmin"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## phpmyadmin 3.3.2

=== debian/changelog ===
phpmyadmin (4:3.3.2-1) unstable; urgency=medium

  * New upstream release (closes: #577753).
  * Drop unneeded Indexes option from shipped apache.conf.
  * Anchor regexp to prevent truncation of schema (closes: #577395).

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 14 Apr 2010 10:55:42 +0200

phpmyadmin (4:3.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 16 Mar 2010 21:52:33 +0100

phpmyadmin (4:3.3.0-1) unstable; urgency=low

  * New upstream version.
  * Rediff debian/patches.
  * Fix permissions on mediawiki export extension.

 -- Michal Čihař <nijel@debian.org>  Mon, 08 Mar 2010 15:25:00 +0100

phpmyadmin (4:3.2.5-2) unstable; urgency=low

  * Add conflict with broken mootools versions (Closes: #566601).
  * Fixup permissions only if file exists (LP: #481786).
  * Enable fastcgi module in lighttpd on install (Closes: #567336) 
    (LP: #283801).
  * Do not try to create Avahi service symlink if it already exists 
    (LP: #512246).
  * Bump standards to 3.8.4.

 -- Michal Čihař <nijel@debian.org>  Thu, 04 Feb 2010 13:21:28 +0100

phpmyadmin (4:3.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 11 Jan 2010 21:42:18 +0100

phpmyadmin (4:3.2.4-2) unstable; urgency=low

  * Include also mootools extra which is required (Closes: #563211).

 -- Michal Čihař <nijel@debian.org>  Mon, 04 Jan 2010 16:16:22 +0100

phpmyadmin (4:3.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 08 Dec 2009 18:35:56 +0100

phpmyadmin (4:3.2.3-4) unstable; urgency=low

  * Add missing symlink to mootools (LP: #487241).
  * Fix inverted logic of detecting dbconfig-common failure.

 -- Michal Čihař <nijel@debian.org>  Tue, 24 Nov 2009 14:33:09 +0100

phpmyadmin (4:3.2.3-3) unstable; urgency=low

  * Add DEP-3 patch headers.
  * Split documentation patch as it really should be separate.
  * Use dbconfig configuration only if it exists (LP: #416183).

 -- Michal Čihař <nijel@debian.org>  Mon, 16 Nov 2009 15:37:13 +0100

phpmyadmin (4:3.2.3-2) unstable; urgency=low

  * Do not hard fail if dbconfig configuration fails (LP: #456674).
  * Document that migration from pre dbconfig version might need configuration
    merge (Closes: #535058).
  * Document order of processing configuration files (Closes: #532960).
  * Convert to 3.0 (quilt) source format.

 -- Michal Čihař <nijel@debian.org>  Mon, 16 Nov 2009 15:18:59 +0100

phpmyadmin (4:3.2.3-1) unstable; urgency=low

  * New upstream release.
  * Improve description a bit (administrator does not support mysqli) 
    (Closes: #551788).

 -- Michal Čihař <nijel@debian.org>  Wed, 04 Nov 2009 08:51:57 +0100

phpmyadmin (4:3.2.2.1-1) unstable; urgency=low

  * New upstream version.
    - Fixes XSS (PMASA-2009-6, CVE-2009-3696, CVE-2009-3697).
  * Register documentation on doc-base.
  * Use mootools from Debian package rather than own copy.
  * Allow saving of configuration from setup script only after explicit action
    from administrator (Closes: #535044, #543460).

 -- Michal Čihař <nijel@debian.org>  Wed, 14 Oct 2009 10:58:28 +0200

phpmyadmin (4:3.2.2-1) unstable; urgency=low

  * New upstream version.
  * Bump policy to 3.8.3.

 -- Michal Čihař <nijel@debian.org>  Mon, 21 Sep 2009 10:26:22 +0200

phpmyadmin (4:3.2.1-1) unstable; urgency=high
  
  [ Thijs Kinkhorst ]
  * New upstream release. Fixes a (rather unimportant) security
    issue, bump urgency just to be sure.

  [ Michal Čihař ]
  * Fix path to setup script in README.Debian and debconf templates
    (Closes: #539518).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 10 Aug 2009 21:14:19 +0200

phpmyadmin (4:3.2.0.1-1) unstable; urgency=high

  * New upstream version fixing XSS (PMASA-2009-5, CVE-2009-2284).
  * Document no empty password in README.Debian and the shipped sample
    configuration file (LP: #388703).
  * Install service file for avahi (if web service enabled and if avahi is
    installed) (LP: #369244).
  * Mention protecting of setup if not using provided configuration snippets
    for webservers.
  * Call ucf with --debconf-ok in postrm (Closes: #534894).

 -- Michal Čihař <nijel@debian.org>  Tue, 30 Jun 2009 14:05:13 +0200

phpmyadmin (4:3.2.0-1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * New upstream release.
    - Warns when gc_maxlifetime is less than cookie validity
      (closes: #499399).

  [ Michal Čihař ]
  * Adjust patches to make use of new upstream vendor configuration.
  * Switch to quilt from dpatch.
  * Update to policy 3.8.2 (no changes needed).

 -- Michal Čihař <nijel@debian.org>  Wed, 17 Jun 2009 16:37:11 +0200

phpmyadmin (4:3.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 17 May 2009 12:55:15 +0200

phpmyadmin (4:3.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 25 Apr 2009 19:03:00 +0200

phpmyadmin (4:3.1.3.1-1) unstable; urgency=high

  * New upstream security fix release.
    [CVE-2009-1148 CVE-2009-1149 CVE-2009-1150 CVE-2009-1151]
  * Checked package for policy 3.8.1, no changes necessary.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 25 Mar 2009 19:10:40 +0100

phpmyadmin (4:3.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 01 Mar 2009 12:01:59 +0100

phpmyadmin (4:3.1.2-2) unstable; urgency=low

  * Upload to unstable.
  * [INTL:es] Spanish debconf template update (Closes: #513690).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 16 Feb 2009 17:58:28 +0100

phpmyadmin (4:3.1.2-1) experimental; urgency=low
  
  [ Thijs Kinkhorst ]
  * New upstream release.
  * Replace dh_clean -k by dh_prep.

  [ Michal Čihař ]
  * Better describe steps needed to access phpMyAdmin in README.Debian
    (Closes: #508703).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 19 Jan 2009 20:59:17 +0100

phpmyadmin (4:3.1.1-1) experimental; urgency=high



=== debian/control ===
Source: phpmyadmin
Maintainer: Thijs Kinkhorst <thijs@debian.org>
Uploaders: Michal Čihař <nijel@debian.org>
Section: web
Priority: extra
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), 
    po-debconf
Homepage: http://www.phpmyadmin.net/
Vcs-Browser: https://aphrodite.kinkhorst.nl/wsvn/debian/phpmyadmin/
Vcs-Svn: https://svn.kinkhorst.nl/svn/debian/phpmyadmin/trunk

Package: phpmyadmin
Architecture: all
Depends: libapache2-mod-php5 | php5-cgi | php5,
    php5-mysql | php5-mysqli, 
    php5-mcrypt, 
    perl, 
    ${misc:Depends}, 
    dbconfig-common,
    ucf (>= 0.28),
    libjs-mootools (>= 1.2.4.0~debian1-1)
Recommends: apache2 | lighttpd | httpd, php5-gd, mysql-client
Suggests: mysql-server
Description: MySQL web administration tool
 This package allows administering of MySQL with a web interface.
 .
 It allows administrators to:
  - browse through databases and tables;
  - create, copy, rename, alter and drop databases;
  - create, copy, rename, alter and drop tables;
  - perform table maintenance;
  - add, edit and drop fields;
  - execute any SQL-statement, even multiple queries;
  - create, alter and drop indexes;
  - load text files into tables;
  - create and read dumps of tables or databases;
  - export data to SQL, CSV, XML, Word, Excel, PDF and LaTeX formats;
  - administer multiple servers;
  - manage MySQL users and privileges;
  - check server settings and runtime information with configuration hints;
  - check referential integrity in MyISAM tables;
  - create complex queries using Query-by-example (QBE), automatically
    connecting required tables;
  - create PDF graphics of database layout;
  - search globally in a database or a subset of it;
  - transform stored data into any format using a set of predefined
    functions, such as displaying BLOB-data as image or download-link;
  - manage InnoDB tables and foreign keys;
 and is fully internationalized and localized in dozens of languages.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

REVISION := $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//;s/.*-//')

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean 
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Need to rename the file
	install -m 644 scripts/create_tables.sql debian/phpmyadmin/usr/share/dbconfig-common/data/phpmyadmin/install/mysql
	# No creating or selecting of a database wanted (user might have 
	# chosen different one and dbconfig-common created it already).
	sed -i '/^CREATE DATABASE/,/^USE phpmyadmin/D'  debian/phpmyadmin/usr/share/dbconfig-common/data/phpmyadmin/install/mysql
	dh_install
	find debian/phpmyadmin -name .svn | xargs -r rm -r
	# spurious licence files, this is in debian/copyright
	rm debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/font/LICENSE \
		debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/LICENSE.TXT
	# include Debian marker in version string
	sed -ri "/set..PMA_VERSION/ s/'([-0-9a-z.]+)'/'\\1deb$(REVISION)'/" \
	    debian/phpmyadmin/usr/share/phpmyadmin/libraries/Config.class.php
	# use mootools from the package instead
	rm debian/phpmyadmin/usr/share/phpmyadmin/js/mootools.js
	# fix permissions
	chmod 644 debian/phpmyadmin/usr/share/phpmyadmin/libraries/export/mediawiki.php

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installdebconf	
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## phpmyadmin 3.3.7

=== debian/changelog ===
phpmyadmin (4:3.3.7-5build0.10.10.1) maverick-security; urgency=low

  * fake sync from Debian

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 18 Feb 2011 15:38:31 -0600

phpmyadmin (4:3.3.7-5) stable-security; urgency=high

  * Fixes SQL injection (PMASA-2011-2, CVE-2011-0987).

 -- Michal Čihař <nijel@debian.org>  Wed, 05 Jan 2011 10:19:01 +0100

phpmyadmin (4:3.3.7-3) unstable; urgency=high

  * Address two security issues (Closes: #608290):
  - It was possible to display arbitrary text and link to external site
    using parameters passed to particular script
    (CVE-2010-4480, PMASA-2010-9).
  - Phpinfo could be visible to not logged in users if this feature was
    enabled (minor issue; CVE-2010-4481, PMASA-2010-10).

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 30 Dec 2010 17:48:08 +0100

phpmyadmin (4:3.3.7-2) unstable; urgency=high

  * Fix XSS on search (PMASA-2010-8, CVE-2010-4329).

 -- Michal Čihař <nijel@debian.org>  Wed, 01 Dec 2010 15:08:04 +0100

phpmyadmin (4:3.3.7-1) unstable; urgency=low

  * New upstream release (Closes: #595974).
    - Fixes XSS in setup script (PMASA-2010-7, CVE-2010-3263).

 -- Michal Čihař <nijel@debian.org>  Thu, 09 Sep 2010 08:31:57 +0200

phpmyadmin (4:3.3.6-1) unstable; urgency=low
  
  [ Thijs Kinkhorst ]
  * New upstream bugfix release (Closes: #594755).

  [ Michal Čihař ]
  * Include configuration for tracking (Closes: #594188).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 29 Aug 2010 10:48:09 +0200

phpmyadmin (4:3.3.5.1-1) unstable; urgency=low

  * New upstream security release (CVE-2010-3056).

 -- Michal Čihař <nijel@debian.org>  Fri, 20 Aug 2010 14:24:31 +0200

phpmyadmin (4:3.3.5-1) unstable; urgency=low

  * New upstream version.
  * Bump standards to 3.9.1.

 -- Michal Čihař <nijel@debian.org>  Tue, 27 Jul 2010 10:05:24 +0200

phpmyadmin (4:3.3.4-1) unstable; urgency=low

  * New upstream version.
  * Do not try to restart webserver if it is not installed (LP:  #573847),
  * Bump standards to 3.9.0.

 -- Michal Čihař <nijel@debian.org>  Mon, 28 Jun 2010 21:45:43 +0200

phpmyadmin (4:3.3.3-1) unstable; urgency=low

  * New upstream version (Closes: #581585).

 -- Michal Čihař <nijel@debian.org>  Fri, 14 May 2010 13:57:37 +0200

phpmyadmin (4:3.3.2-2) unstable; urgency=low

  * Add SQL to create tracking table on upgrade (LP:  #565627).
  * Include SQL script to create table with fixed SQL comments (LP: #563256).

 -- Michal Čihař <nijel@debian.org>  Mon, 26 Apr 2010 14:23:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Michal Čihař <nijel@debian.org>
 Section: web
 Priority: extra
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), 
     po-debconf
 Homepage: http://www.phpmyadmin.net/

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,6 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	# Need to rename the file
-	install -m 644 scripts/create_tables.sql debian/phpmyadmin/usr/share/dbconfig-common/data/phpmyadmin/install/mysql
-	# No creating or selecting of a database wanted (user might have 
-	# chosen different one and dbconfig-common created it already).
-	sed -i '/^CREATE DATABASE/,/^USE phpmyadmin/D'  debian/phpmyadmin/usr/share/dbconfig-common/data/phpmyadmin/install/mysql
 	dh_install
 	find debian/phpmyadmin -name .svn | xargs -r rm -r
 	# spurious licence files, this is in debian/copyright

## phpmyadmin 3.3.10

=== debian/changelog ===
phpmyadmin (4:3.3.10-1) unstable; urgency=low

  * New upstream release.
    - Remove patches integrated upstream. 

 -- Michal Čihař <nijel@debian.org>  Sun, 20 Mar 2011 09:29:59 +0100

phpmyadmin (4:3.3.9.2-1) unstable; urgency=high

  * New upstream security release.
    - Fixes path disclossure (PMASA-2011-1, CVE-2011-0986).
    - Fixes SQL injection (PMASA-2011-2, CVE-2011-0987).
  * Fix path to example config files (Closes: #611311).

 -- Michal Čihař <nijel@debian.org>  Sat, 12 Feb 2011 08:35:43 +0100

phpmyadmin (4:3.3.9-3) unstable; urgency=low

  * Upload to unstable.

 -- Michal Čihař <nijel@debian.org>  Sun, 06 Feb 2011 12:41:31 +0100

phpmyadmin (4:3.3.9-2) experimental; urgency=low

  * Add php5-fpm to list of PHP SAPIs (Closes: #609808, LP: #701997).
  * Incorporate Ubuntu backported patches for security issue.

 -- Michal Čihař <nijel@debian.org>  Tue, 18 Jan 2011 14:44:22 +0100

phpmyadmin (4:3.3.9-1ubuntu1) natty; urgency=low

  * SECURITY UPDATE: Unvalidated input on error page (Closes: #608290, LP: #696857)
    - debian/patches/CVE-2010-4480.patch: Don't use a redirect to the error page
    - CVE-2010-4480, PMASA-2010-9
  * SECURITY UPDATE: Possible information disclosure of phpinfo (same bug) 
    - debian/patches/CVE-2010-4481.patch: Don't skip authentication for
      PMA_MINIMUM_COMMON
    - CVE-2010-4481, PMASA-2010-10

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 05 Jan 2011 23:42:17 -0600

phpmyadmin (4:3.3.9-1) experimental; urgency=low

  * New upstream release.
  * Fix connection settings when using dbconfig with remote MySQL server.
  * Log when dbconfig generated settings are not accessible. 
  * Add Slovak debconf translation (Closes: #608705).
  * Update Danish debconf translation (Closes: #608941).

 -- Michal Čihař <nijel@debian.org>  Wed, 05 Jan 2011 10:18:41 +0100

phpmyadmin (4:3.3.8.1-1) experimental; urgency=low

  * New upstream security release (PMASA-2010-8, CVE-2010-4329).
  * Install desktop file for phpMyAdmin if web server was configured 
    (LP: #667172).
  * Remove avahi service symlink on purge.
  * Suggest www-browser.

 -- Michal Čihař <nijel@debian.org>  Wed, 01 Dec 2010 14:56:15 +0100

phpmyadmin (4:3.3.8-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental for now due to excessive changes in packaging.
  * Ignore errors from dbconfig in config script (LP: #618852).
  * Ignore errors from dbconfig in {pre,post}rm scripts (LP: #621569).
  * Set allow_url_fopen to Off and limit some function execution for
    phpMyAdmin under Apache (Closes: #598903).
  * Change default upload path to /var/lib/phpmyadmin/tmp and set open_basedir
    to limit using anything else than phpMyAdmin code and this folder.

 -- Michal Čihař <nijel@debian.org>  Tue, 26 Oct 2010 16:39:45 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: phpmyadmin
 Architecture: all
-Depends: libapache2-mod-php5 | php5-cgi | php5,
+Depends: libapache2-mod-php5 | php5-cgi | php5-fpm | php5,
     php5-mysql | php5-mysqli, 
     php5-mcrypt, 
     perl, 
@@ -21,7 +21,7 @@
     ucf (>= 0.28),
     libjs-mootools (>= 1.2.4.0~debian1-1)
 Recommends: apache2 | lighttpd | httpd, php5-gd, mysql-client
-Suggests: mysql-server
+Suggests: mysql-server, www-browser
 Description: MySQL web administration tool
  This package allows administering of MySQL with a web interface.
  .

=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,6 @@
 	    debian/phpmyadmin/usr/share/phpmyadmin/libraries/Config.class.php
 	# use mootools from the package instead
 	rm debian/phpmyadmin/usr/share/phpmyadmin/js/mootools.js
-	# fix permissions
-	chmod 644 debian/phpmyadmin/usr/share/phpmyadmin/libraries/export/mediawiki.php
 
 # Build architecture-independent files here.
 binary-indep: build install

## phpmyadmin 3.4.5

=== debian/changelog ===
phpmyadmin (4:3.4.5-1) unstable; urgency=high

  * New upstream release.
  * Fixes XSS when in-place editing rows [PMASA-2011-14].

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 14 Sep 2011 14:59:46 +0000

phpmyadmin (4:3.4.4-1) unstable; urgency=high

  * New upstream release.
  * Fixes XSS in Tracking [PMASA-2011-13, CVE-2011-3181].

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 27 Aug 2011 09:53:11 +0000

phpmyadmin (4:3.4.3.2-1) unstable; urgency=high

  * New upstream security release.
    [PMASA-2011-9 PMASA-2011-10 PMASA-2011-11 PMASA-2011-12]
    [CVE-2011-2642 CVE-2011-2643]
  * Add alternate dependency to libapache2-mod-php5filter (LP: #774980).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 23 Jul 2011 14:24:57 +0000

phpmyadmin (4:3.4.3.1-1) unstable; urgency=high

  * New upstream security release:
  * Fixed possible session manipulation in swekey authentication, see
    PMASA-2011-5 (CVE-2011-2505).
  * Fixed possible code injection incase session variables are compromised,
    see PMASA-2011-6 (CVE-2011-2506).
  * Fixed regexp quoting issue in Synchronize code, see PMASA-2011-7
    (CVE-2011-2507).
  * Fixed filtering of a file path, which allowed for directory traversal, see
    PMASA-2011-8 (CVE-2011-2508).

 -- Michal Čihař <nijel@debian.org>  Thu, 07 Jul 2011 08:53:41 +0200

phpmyadmin (4:3.4.3-1) unstable; urgency=low

  * New upstream release.
  * Add missing build-arch/indep targets in debian/rules.

 -- Michal Čihař <nijel@debian.org>  Tue, 28 Jun 2011 11:11:37 +0200

phpmyadmin (4:3.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Tue, 07 Jun 2011 14:30:15 +0200

phpmyadmin (4:3.4.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes XSS in tracking (PMASA-2011-3, CVE-2011-1940).
    - Fixes URL redirection (PMASA-2011-4, CVE-2011-1941).
  * Drop debian/rules hacks no longer needed.

 -- Michal Čihař <nijel@debian.org>  Mon, 23 May 2011 13:34:36 +0200

phpmyadmin (4:3.4.0-2) unstable; urgency=low

  * Add upgrade SQL script to add userconfig table.
  * Reinclude blowfish secret.

 -- Michal Čihař <nijel@debian.org>  Fri, 13 May 2011 09:13:17 +0200

phpmyadmin (4:3.4.0-1) unstable; urgency=low

  * New upstream release.
    - Use upstream method for relocating config.
    - Drop mootools patch as it is not needed anymore.
    - No longer depends on mootools as they are not used (jQuery is used
      instead, but 1.5 available in Debian seems to cause problems).
  * Use system Dejavu fonts.
  * Bump standards to 3.9.2.
  * Add lintian overrides for embedded PHP libraries which are not available.

 -- Michal Čihař <nijel@debian.org>  Wed, 11 May 2011 14:55:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Michal Čihař <nijel@debian.org>
 Section: web
 Priority: extra
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), 
     po-debconf
 Homepage: http://www.phpmyadmin.net/
@@ -12,14 +12,14 @@
 
 Package: phpmyadmin
 Architecture: all
-Depends: libapache2-mod-php5 | php5-cgi | php5-fpm | php5,
+Depends: libapache2-mod-php5 | libapache2-mod-php5filter | php5-cgi | php5-fpm | php5,
     php5-mysql | php5-mysqli, 
     php5-mcrypt, 
     perl, 
     ${misc:Depends}, 
     dbconfig-common,
-    ucf (>= 0.28),
-    libjs-mootools (>= 1.2.4.0~debian1-1)
+    ttf-dejavu-core,
+    ucf (>= 0.28)
 Recommends: apache2 | lighttpd | httpd, php5-gd, mysql-client
 Suggests: mysql-server, www-browser
 Description: MySQL web administration tool

## phpmyadmin 3.4.8

=== debian/changelog ===
phpmyadmin (4:3.4.8-1) unstable; urgency=high

  * New upstream release.
    + Fixes XSS: CVE-2011-4634, PMASA-2011-18.

 -- Michal Čihař <nijel@debian.org>  Fri, 02 Dec 2011 09:55:44 +0100

phpmyadmin (4:3.4.7.1-1) unstable; urgency=high

  * New upstream security release.
    + Fixes local file retrieval: CVE-2011-4107, PMASA-2011-17

 -- Michal Čihař <nijel@debian.org>  Fri, 11 Nov 2011 10:20:04 +0100

phpmyadmin (4:3.4.7-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 07 Nov 2011 13:29:30 +0100

phpmyadmin (4:3.4.6-1) unstable; urgency=low

  * New upstream security release.
    + Addresses non-issues (for Debian): CVE-2011-3646 CVE-2011-4064
  * Cleanup leftover mootools symlinks (closes: #642212).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 17 Oct 2011 11:40:19 +0000

## phpmyadmin 3.4.9

=== debian/changelog ===
phpmyadmin (4:3.4.9-1) unstable; urgency=high

  * New upstream release.
    + Fixes XSS: PMASA-2011-19/CVE-2011-4782, PMASA-2011-20/CVE-2011-4780.
  * Enable fastcgi-php when installing with lighttpd (LP #852337).

 -- Michal Čihař <nijel@debian.org>  Thu, 22 Dec 2011 10:17:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,10 @@
 
 REVISION := $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//;s/.*-//')
 
-build: build-stamp
+build-arch:
+
+build: build-indep
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	touch build-stamp
@@ -24,13 +27,12 @@
 	dh_install
 	find debian/phpmyadmin -name .svn | xargs -r rm -r
 	# spurious licence files, this is in debian/copyright
-	rm debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/font/LICENSE \
-		debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/LICENSE.TXT
+	rm debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/LICENSE.TXT \
+		debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/fonts/dejavu-fonts-ttf-2.32/LICENSE \
+		debian/phpmyadmin/usr/share/phpmyadmin/libraries/chart/pChart/fonts/LICENSE
 	# include Debian marker in version string
 	sed -ri "/set..PMA_VERSION/ s/'([-0-9a-z.]+)'/'\\1deb$(REVISION)'/" \
 	    debian/phpmyadmin/usr/share/phpmyadmin/libraries/Config.class.php
-	# use mootools from the package instead
-	rm debian/phpmyadmin/usr/share/phpmyadmin/js/mootools.js
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -41,6 +43,7 @@
 	dh_installexamples
 	dh_installdebconf	
 	dh_installman
+	dh_lintian
 	dh_link
 	dh_compress
 	dh_fixperms

## phpmyadmin 3.4.10.1

=== debian/changelog ===
phpmyadmin (4:3.4.10.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes rather hypothetical XSS (CVE-2012-1190).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 19 Feb 2012 13:20:49 +0000

phpmyadmin (4:3.4.10-1) unstable; urgency=low

  * New upstream release.
    + Fixes ODS import (closes: #593621)
  * Update reference to compressed README.Debian (closes: #656664)

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 14 Feb 2012 19:25:33 +0000

=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,9 @@
 	find debian/phpmyadmin -name .svn | xargs -r rm -r
 	# spurious licence files, this is in debian/copyright
 	rm debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/LICENSE.TXT \
-		debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/fonts/dejavu-fonts-ttf-2.32/LICENSE \
+		debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/fonts/dejavu-fonts-ttf-*/LICENSE \
 		debian/phpmyadmin/usr/share/phpmyadmin/libraries/chart/pChart/fonts/LICENSE
+	rmdir debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/fonts/dejavu-fonts-ttf-*
 	# include Debian marker in version string
 	sed -ri "/set..PMA_VERSION/ s/'([-0-9a-z.]+)'/'\\1deb$(REVISION)'/" \
 	    debian/phpmyadmin/usr/share/phpmyadmin/libraries/Config.class.php

## phpmyadmin 3.4.11.1

=== debian/changelog ===
phpmyadmin (4:3.4.11.1-2+deb7u8) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2016-6621 / PMASA-2016-44/:
    A server-side request forgery vulnerability was reported for the setup
    script. This flaw can allow an unauthenticated attacker to brute-force
    MYSQL passwords, detect internal hostnames or opened ports on the internal
    network. Additionally there was a race condition between writing
    configuration and administrator moving it allowing unauthenticated users to
    read or alter it. Debian users who configured phpmyadmin via debconf and
    used the default configuration for apache2 or lighttpd were never affected.

 -- Markus Koschany <apo@debian.org>  Fri, 24 Feb 2017 06:31:04 +0100

phpmyadmin (4:3.4.11.1-2+deb7u7) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2016-4412 / PMASA-2016-57: A user can be tricked in following a
    link leading to phpMyAdmin, which after authentication redirects to
    another malicious site.
  * CVE-2016-6626 / PMASA-2016-49: In the fix for PMASA-2016-57, we didn't
    have sufficient checking and was possible to bypass whitelist.
  * CVE-2016-9849 / PMASA-2016-60: Username deny rules bypass (AllowRoot &
    Others) by using Null Byte.
  * CVE-2016-9850 / PMASA-2016-61: Username matching for the allow/deny rules
    may result in wrong matches and detection of the username in the rule due
    to non-constant execution time.
  * CVE-2016-9861 / PMASA-2016-66: In the fix for PMASA-2016-49, we has buggy
    checks and was possible to bypass whitelist.
  * CVE-2016-9864 / PMASA-2016-69: Multiple SQL injection vulnerabilities.
  * CVE-2016-9865 / PMASA-2016-70: Due to a bug in serialized string parsing,
    it was possible to bypass the protection offered by PMA_safeUnserialize()
    function.

 -- Brian May <bam@debian.org>  Tue, 06 Dec 2016 08:18:14 +1100

phpmyadmin (4:3.4.11.1-2+deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the Long Term Security Team.
  * Correction for:
     - CVE-2016-6606 Weakness with cookie encryption
       Code rewritten in a similar way as the upstream patch.
     - CVE-2016-6607 XSS vulnerability
       Applied upstream fix as is
     - CVE-2016-6609 PHP code injection
       Code rewritten in a similar way as the upstream patch.
     - CVE-2016-6611 SQL injection attack
       Code rewritten in a similar way as the upstream patch.
     - CVE-2016-6612 Local file exposure
       Applied upstream fix as is
     - CVE-2016-6613 Local file exposure through symlinks with UploadDir
       Code rewritten in a similar way as the upstream patch.
     - CVE-2016-6614 Path traversal with SaveDir and UploadDir
       Applied upstream fix manually due to code changes
     - CVE-2016-6620 Unvalidated data passed to unserialize()
       Applied upstream fix as is
     - CVE-2016-6622 DOS attack with forced persistent connections
       Code rewritten in a similar way as the upstream patch.
     - CVE-2016-6623 Denial of service (DOS) attack by for loops
       Applied upstream fix manually due to code changes
     - CVE-2016-6624 IPv6 and proxy server IP-based authentication rule circumvention
       Applied upstream fix manually due to code changes
     - CVE-2016-6630 Denial of service (DOS) attack by changing password to a very long string
       Applied upstream fix manually due to code changes
     - CVE-2016-6631 Remote code execution vulnerability when run as CGI
       Removed all transformator shell scripts in debian/rules.

 -- Ola Lundqvist <opal@debian.org>  Wed, 14 Sep 2016 22:20:21 +0000

phpmyadmin (4:3.4.11.1-2+deb7u5) wheezy-security; urgency=high

  * Fix security issues:
    - CVE-2016-5731 XSS vulnerability in examples/openid.php
    - CVE-2016-5733 Multiple XSS vulnerabilities
      Many parts of this CVE is not applicable to this version.
    - CVE-2016-5739 Transformation can leak information the auth token

 -- Ola Lundqvist <opal@debian.org>  Sat, 09 Jul 2016 21:54:26 +0000

phpmyadmin (4:3.4.11.1-2+deb7u4) wheezy-security; urgency=high

  * Fix regression introduced in CVE-2016-2040 fix (Closes: #825301)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 30 May 2016 11:46:31 -0400

phpmyadmin (4:3.4.11.1-2+deb7u3) wheezy-security; urgency=medium

  * Fix security issues:
    - CVE-2016-1927: suggestPassword generates weak passphrases
    - CVE-2016-2038: information disclosure via crafted requests
    - CVE-2016-2039: weak CSRF token values
    - CVE-2016-2040: XSS vulnerabilities in authenticated users
    - CVE-2016-2041: information breach in CSRF token comparison
    - CVE-2016-2045: XSS injection via crafted SQL queries
    - CVE-2016-2560: XSS injection

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 22 Apr 2016 11:54:07 -0400

phpmyadmin (4:3.4.11.1-2+deb7u2) wheezy-security; urgency=high

  * Fix security issues (closes: #774194):
    - CVE-2014-8958: Multiple XSS vulnerabilities.
    - CVE-2014-9218: DoS vulnerability with long passwords.
    - CVE-2015-2206: Risk of BREACH attack due to reflected parameter.
    - CVE-2015-3902: XSRF/CSRF vulnerability in phpMyAdmin setup.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 28 Oct 2015 18:11:35 +0100

phpmyadmin (4:3.4.11.1-2+deb7u1) wheezy-security; urgency=high

  * Fix security issues:
    - CVE-2014-1879: Self-XSS due to unescaped HTML output in import.
    - CVE-2013-5003: SQL injection vulnerabilities (control user).
    - CVE-2013-5002: Self-XSS due in schema export.
    - CVE-2013-4996: XSS in Logo Link and Trusted Proxy List.
    - CVE-2013-4995: XSS in HTML Output when executing a SQL query.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 09 Jul 2014 18:52:48 +0200

phpmyadmin (4:3.4.11.1-2) unstable; urgency=high

  * Fix security issue:
    - PMASA-2013-3: Locally Saved SQL Dump File Multiple File Extension
      Remote Code Execution [CVE-2013-3239].

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 24 Apr 2013 16:39:28 +0200



=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,8 @@
 	# include Debian marker in version string
 	sed -ri "/set..PMA_VERSION/ s/'([-0-9a-z.]+)'/'\\1deb$(REVISION)'/" \
 	    debian/phpmyadmin/usr/share/phpmyadmin/libraries/Config.class.php
+	# CVE-2016-6631
+	rm debian/phpmyadmin/usr/share/phpmyadmin/libraries/transformations/*.sh
 
 # Build architecture-independent files here.
 binary-indep: build install

## phpmyadmin 3.5.6

=== debian/changelog ===
phpmyadmin (4:3.5.6-1) experimental; urgency=low

  * New upstream release.
    - Fixes LaTeX export (Closes: #670734).
  * Create new tables on upgrade using dbconfig.

 -- Michal Čihař <nijel@debian.org>  Tue, 29 Jan 2013 09:02:37 +0100

phpmyadmin (4:3.5.5-1) experimental; urgency=low

  * New upstream release.
    - Fixes message display in setup (Closes: #656667).
    - Improves handlign of Show all button (Closes: #658402).
  * Uploaded to experimental.
  * Depend on various javascript packages available in Debian.
  * Use php-gettext instead of copy.
  * Check config parts readability and properly report errors 
    (Closes: #690258).
  * Allow configuration changes by placing snippets into
    /etc/phpmyadmin/conf.d (Closes: #673172).

 -- Michal Čihař <nijel@debian.org>  Wed, 09 Jan 2013 11:56:19 +0100

## phpmyadmin 3.5.8.1

=== debian/changelog ===
phpmyadmin (4:3.5.8.1-1) experimental; urgency=low

  * New upstream release.
    - Fixes security issues PMASA-2013-2, PMASA-2013-3.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 24 Apr 2013 16:26:16 +0200

phpmyadmin (4:3.5.7-1) experimental; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 11 Mar 2013 14:11:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Michal Čihař <nijel@debian.org>
 Section: web
 Priority: extra
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7), 
     po-debconf
 Homepage: http://www.phpmyadmin.net/
@@ -13,12 +13,20 @@
 Package: phpmyadmin
 Architecture: all
 Depends: libapache2-mod-php5 | libapache2-mod-php5filter | php5-cgi | php5-fpm | php5,
-    php5-mysql | php5-mysqli, 
+    php5-mysql | php5-mysqli | php5-mysqlnd, 
     php5-mcrypt, 
     perl, 
     ${misc:Depends}, 
     dbconfig-common,
     ttf-dejavu-core,
+    php-gettext,
+    libjs-jquery,
+    libjs-jquery-ui,
+    libjs-jquery-cookie,
+    libjs-jquery-mousewheel,
+    libjs-jquery-event-drag,
+    libjs-jquery-tablesorter,
+    libjs-codemirror,
     ucf (>= 0.28)
 Recommends: apache2 | lighttpd | httpd, php5-gd, mysql-client
 Suggests: mysql-server, www-browser

=== debian/rules ===
--- 
+++ 
@@ -25,17 +25,16 @@
 	dh_prep
 	dh_installdirs
 	dh_install
-	find debian/phpmyadmin -name .svn | xargs -r rm -r
 	# spurious licence files, this is in debian/copyright
-	rm debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/LICENSE.TXT \
+	rm \
 		debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/fonts/dejavu-fonts-ttf-*/LICENSE \
-		debian/phpmyadmin/usr/share/phpmyadmin/libraries/chart/pChart/fonts/LICENSE
+		debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/LICENSE.TXT \
+		debian/phpmyadmin/usr/share/phpmyadmin/js/canvg/MIT-LICENSE.txt \
+		debian/phpmyadmin/usr/share/phpmyadmin/js/codemirror/LICENSE
 	rmdir debian/phpmyadmin/usr/share/phpmyadmin/libraries/tcpdf/fonts/dejavu-fonts-ttf-*
 	# include Debian marker in version string
 	sed -ri "/set..PMA_VERSION/ s/'([-0-9a-z.]+)'/'\\1deb$(REVISION)'/" \
 	    debian/phpmyadmin/usr/share/phpmyadmin/libraries/Config.class.php
-	# CVE-2016-6631
-	rm debian/phpmyadmin/usr/share/phpmyadmin/libraries/transformations/*.sh
 
 # Build architecture-independent files here.
 binary-indep: build install

## phpmyadmin 4.0.6

=== debian/changelog ===
phpmyadmin (4:4.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 07 Sep 2013 09:16:38 +0200

phpmyadmin (4:4.0.5-1) unstable; urgency=high

  * New upstream release.
    - Fixes security issue PMASA-2013-10 (CVE-2013-5029).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 04 Aug 2013 13:24:37 +0200

phpmyadmin (4:4.0.4.2-1) unstable; urgency=high

  * New upstream release.
    - Fixes security issues
      PMASA-2013-9  (CVE-2013-4996 CVE-2013-4997),
      PMASA-2013-11 (CVE-2013-4996),
      PMASA-2013-12 (CVE-2013-4998 CVE-2013-4999 CVE-2013-5000),
      PMASA-2013-13 (CVE-2013-5001),
      PMASA-2013-14 (CVE-2013-5002),
      PMASA-2013-15 (CVE-2013-5003).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 28 Jul 2013 15:20:58 +0200

phpmyadmin (4:4.0.4.1-2) unstable; urgency=medium

  * post{inst,rm}: drop first argument to install_apache(), because that
    confuses apache2-maintscript-helper and it isn't used anymore anyway.
    (closes: #717713).
  * Drop xz compression for deb again, it's now the dpkg default.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 28 Jul 2013 10:56:04 +0200

phpmyadmin (4:4.0.4.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2013-4729: setting globals through import.
  * Make use of xz for deb compression and upstream tarball.
  * Make webserver configuration compatible with Apache 2.4
    (closes: #669843). We don't use dh_apache2 yet because it
    would tie this package to the Apache transition.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 18 Jul 2013 11:09:09 +0200

phpmyadmin (4:4.0.3-1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Explicitly depend on php5-json (closes: #711027).

  [ Michal Čihař ]
  * Fixed wrong path in postinst script (Closes: #710087).
  * New upstream release.
    - Fixes XSS issue PMASA-2013-6 (CVE-2013-3742).

 -- Michal Čihař <nijel@debian.org>  Wed, 05 Jun 2013 13:20:57 +0200

phpmyadmin (4:4.0.1-2) unstable; urgency=low

  * Add /usr/share/javascript to open_basedir config (closes: #708611).
  * Wrap check_file_access() function in config.inc.php in a
    function_exists block, because this file sometimes gets included
    twice (LP: #1175142).

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 17 May 2013 12:50:57 +0200

phpmyadmin (4:4.0.1-1) unstable; urgency=low

  * New upstream release.
  * Update to debhelper 9, policy 3.9.4. 

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 16 May 2013 20:53:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Michal Čihař <nijel@debian.org>
 Section: web
 Priority: extra
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7), 
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), 
     po-debconf
 Homepage: http://www.phpmyadmin.net/
 Vcs-Browser: https://aphrodite.kinkhorst.nl/wsvn/debian/phpmyadmin/
@@ -15,6 +15,7 @@
 Depends: libapache2-mod-php5 | libapache2-mod-php5filter | php5-cgi | php5-fpm | php5,
     php5-mysql | php5-mysqli | php5-mysqlnd, 
     php5-mcrypt, 
+    php5-json,
     perl, 
     ${misc:Depends}, 
     dbconfig-common,
@@ -27,6 +28,7 @@
     libjs-jquery-event-drag,
     libjs-jquery-tablesorter,
     libjs-codemirror,
+    libjs-underscore,
     ucf (>= 0.28)
 Recommends: apache2 | lighttpd | httpd, php5-gd, mysql-client
 Suggests: mysql-server, www-browser

## phpmyadmin 4.0.10

=== debian/changelog ===
phpmyadmin (4:4.0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 11 Dec 2013 17:32:19 +0100

phpmyadmin (4:4.0.9-1) unstable; urgency=low

  * New upstream release.
  * Prefer renamed fonts-dejavu-core as alternative for
    ttf-dejavu-core. (closes: #726238)

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 06 Nov 2013 19:46:38 +0100

phpmyadmin (4:4.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 07 Oct 2013 20:18:01 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
     perl, 
     ${misc:Depends}, 
     dbconfig-common,
-    ttf-dejavu-core,
+    fonts-dejavu-core | ttf-dejavu-core,
     php-gettext,
     libjs-jquery,
     libjs-jquery-ui,

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,9 @@
 	dh_installdebconf	
 	dh_installman
 	dh_lintian
+	rm -r debian/phpmyadmin/usr/share/doc/phpmyadmin/html/_static/jquery.js \
+	   debian/phpmyadmin/usr/share/doc/phpmyadmin/html/_static/underscore.js \
+	   debian/phpmyadmin/usr/share/phpmyadmin/js/jquery/src
 	dh_link
 	dh_compress
 	dh_fixperms

=== debian/watch ===
version=3
http://sf.net/phpmyadmin/phpMyAdmin-([0-9.]*(?:-pl[0-9]*)?)-all-languages\.tar\.gz
